Role Grants
API key issued via POST /v1/{workspace_id}/api-keys. Pass the returned api_key value as a Bearer token.
[]50Successful Response
Validation Error
GET /v1/{workspace_id}/role-grants HTTP/1.1
Host: platform.api-us.concurrence.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"items": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"role_id": "123e4567-e89b-12d3-a456-426614174000",
"resource_type": "integration_endpoint",
"resource_key": "text",
"access": "read",
"param_binding": "text",
"status": "active",
"changed_by": "123e4567-e89b-12d3-a456-426614174000",
"created_at": "2026-01-01T00:00:00.000Z"
}
],
"has_more": true,
"continuation_token": null
}API key issued via POST /v1/{workspace_id}/api-keys. Pass the returned api_key value as a Bearer token.
Successful Response
An active grant for this (role, resource, access) already exists
Validation Error
POST /v1/{workspace_id}/role-grants HTTP/1.1
Host: platform.api-us.concurrence.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 150
{
"role_id": "123e4567-e89b-12d3-a456-426614174000",
"resource_type": "integration_endpoint",
"resource_key": "text",
"access": "read",
"param_binding": "text"
}{
"id": "123e4567-e89b-12d3-a456-426614174000",
"role_id": "123e4567-e89b-12d3-a456-426614174000",
"resource_type": "integration_endpoint",
"resource_key": "text",
"access": "read",
"param_binding": "text",
"status": "active",
"changed_by": "123e4567-e89b-12d3-a456-426614174000",
"created_at": "2026-01-01T00:00:00.000Z"
}API key issued via POST /v1/{workspace_id}/api-keys. Pass the returned api_key value as a Bearer token.
Successful Response
Role grant not found
Validation Error
GET /v1/{workspace_id}/role-grants/{grant_id} HTTP/1.1
Host: platform.api-us.concurrence.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"role_id": "123e4567-e89b-12d3-a456-426614174000",
"resource_type": "integration_endpoint",
"resource_key": "text",
"access": "read",
"param_binding": "text",
"status": "active",
"changed_by": "123e4567-e89b-12d3-a456-426614174000",
"created_at": "2026-01-01T00:00:00.000Z"
}Supersede an active grant (immutable history) — never a physical delete.
API key issued via POST /v1/{workspace_id}/api-keys. Pass the returned api_key value as a Bearer token.
Successful Response
No content
Active role grant not found
Validation Error
DELETE /v1/{workspace_id}/role-grants/{grant_id} HTTP/1.1
Host: platform.api-us.concurrence.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
No content
Last updated
Was this helpful?

